
Foreman - Bug #11693

Smart class parameters API still has destroy action

09/04/2015 06:06 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Ondřej Pražák   

Category: API   

Target version: 1.10.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2673

  

Description

#11426 removed the UI and one API option for deleting smart class parameters, but seems to have missed

Api::V2::SmartClassParametersController#destroy, and arguably Api::V1::LookupKeysController#destroy (for non-smart variables).

Related issues:

Related to Foreman - Bug #11426: puppet class edit should not allow to remove... Closed 08/19/2015

Associated revisions

Revision 8076e753 - 09/07/2015 05:50 AM - Ondřej Pražák

Fixes #11693 - removed 'destroy' for smart class parameter from API controllers

Revision 30105266 - 09/14/2015 07:05 AM - Daniel Lobato Garcia

Refs #11693 - APIv1 returns message when attempting deletion of Smart class parameter

History

#1 - 09/04/2015 06:06 AM - Dominic Cleal

- Related to Bug #11426: puppet class edit should not allow to remove class paramteres added

#2 - 09/04/2015 09:54 AM - Ondřej Pražák

- Assignee set to Ondřej Pražák

#3 - 09/07/2015 03:48 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2673 added

- Pull request deleted ()

#4 - 09/07/2015 06:02 AM - Ondřej Pražák

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 8076e753bc55ee40987accdaa87c5df074505a97.
